<?php

/**
 * AsalaeCore\ORM\TableRegistry
 */

namespace AsalaeCore\ORM;

use Cake\ORM\Table;
use Cake\ORM\TableRegistry as CakeTableRegistry;

/**
 * Surcharge de TableRegistry
 *
 * @category Entity
 *
 * @author    Libriciel SCOP <contact@libriciel.coop>
 * @copyright (c) 2024, Libriciel
 * @license   https://www.gnu.org/licenses/agpl-3.0.txt
 */
class TableRegistry extends CakeTableRegistry
{
    /**
     * Restore le TableRegistry::get() pour le class_alias T::get()
     * @param string $tableName
     * @return Table
     */
    public static function get(string $tableName): Table
    {
        return static::getTableLocator()->get($tableName);
    }
}
