<?php

namespace AsalaeCore\Test\Mock;

use TrustedTimestamps\TrustedTimestamps;

class FakeTrustedTimestampMock extends TrustedTimestamps
{
    /**
     * createRequestfile
     * @param string $hash
     * @param string $hash_algo
     * @return string
     */
    public static function createRequestfile($hash, $hash_algo = 'sha1')
    {
        return 'test';
    }

    /**
     * @param string $requestfile_path
     * @param string $tsa_url
     * @param array  $curlOpts
     * @param mixed  $timestamp_format
     * @return array
     */
    public static function signRequestfile(
        $requestfile_path,
        $tsa_url,
        array $curlOpts = [],
        $timestamp_format = null
    ) {
        return [
            'response_string' => base64_encode('test'),
            'response_time' => 1
        ];
    }
}
