<?php

namespace AsalaeCore\Test\TestCase\Command;

use AsalaeCore\TestSuite\TestCase;
use Cake\Console\TestSuite\ConsoleIntegrationTestTrait;

class CompletionCommandTest extends TestCase
{
    use ConsoleIntegrationTestTrait;

    /**
     * test CompletionCommand
     */
    public function testCompletionCommand(): void
    {
        $this->exec('completion commands');
        $this->assertOutputContains('completion');

        $this->exec('completion subcommands routes');
        $this->assertOutputContains('check');

        $this->exec('completion options routes');
        $this->assertOutputContains('--help');
    }
}
