<?php

/**
 * AsalaeCore\ORM\Table
 */

namespace AsalaeCore\ORM;

use Cake\ORM\Marshaller as CakeMarshaller;
use Cake\ORM\Table as CakeTable;

/**
 * Surcharge de Marshaller
 *
 * @category Entity
 *
 * @author    Libriciel SCOP <contact@libriciel.coop>
 * @copyright (c) 2023, Libriciel
 * @license   https://www.gnu.org/licenses/agpl-3.0.txt
 */
class Table extends CakeTable
{
    /**
     * Get the object used to marshal/convert array data into objects.
     *
     * Override this method if you want a table object to use custom
     * marshalling logic.
     *
     * @return CakeMarshaller
     */
    public function marshaller(): CakeMarshaller
    {
        return new Marshaller($this);
    }
}
