<?php
namespace AsalaeCore\Test\Mock;

use AsalaeCore\Driver\Timestamping\TimestampingIaik;

class TimestampingIaikMocked extends TimestampingIaik
{
    public const string TOKEN_SAMPLE = TESTS . 'Data' . DS . 'sample.token';

    /**
     * generateToken
     * @param $file
     * @return string
     */
    public function generateToken($file): string
    {
        $this->getFileHash(self::TOKEN_SAMPLE, 'sha1');
        return file_get_contents(self::TOKEN_SAMPLE);
    }
}
