<?php

namespace AsalaeCore\Test\TestCase\Controller;

use AsalaeCore\Controller\Controller;
use AsalaeCore\TestSuite\TestCase;
use Cake\Http\ServerRequest;
use MyPlugin\Controller\WebservicesController;

class TestPagination extends TestCase
{
    /**
     * @var WebservicesController
     */
    public $controller = null;

    public array $fixtures = [
        'app.Users',
    ];

    /**
     * test PaginateResultset
     */
    public function testPaginateResultset(): void
    {
        $request = new ServerRequest();
        $controller = new Controller($request);
        $query = $this->fetchTable('Users')->find();
        $result = $controller->paginateToResultSet($query);
        $this->assertNotEmpty($result->toArray());
    }
}
